Package org.apache.jmeter.timers.poissonarrivals

# Class ConstantPoissonProcessGenerator

java.lang.Object
org.apache.jmeter.timers.poissonarrivals.ConstantPoissonProcessGenerator

public class ConstantPoissonProcessGenerator extends Object
Generates events for Poisson processes, ensuring throughput*duration events will be present in each "duration"

Since:
  4.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstantPoissonProcessGenerator(org.apache.jmeter.timers.poissonarrivals.ThroughputProvider throughput, int batchSize, int batchThreadDelay, org.apache.jmeter.timers.poissonarrivals.DurationProvider duration, Long seed, boolean logFirstSamples)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `generateNext()`
  `double`
  `next()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConstantPoissonProcessGenerator

    public ConstantPoissonProcessGenerator(org.apache.jmeter.timers.poissonarrivals.ThroughputProvider throughput, int batchSize, int batchThreadDelay, org.apache.jmeter.timers.poissonarrivals.DurationProvider duration, Long seed, boolean logFirstSamples)

- ## Method Details

  - ### generateNext

    public void generateNext()

  - ### next

    public double next()